module CmsFilesHelper

  def print_destroy_link(cms_file)

    if cms_file.current_project?(@cms_project.id)
      if cms_file.cms_project.status_key == :editing
        ' | ' + link_to('削除', {:action => 'destroy', :path => cms_file.public_file_path}, :method => :delete, :confirm => "本当に削除しますか？")
      end
    else
      if cms_file.cms_project.status_key == :opened && !@delete_ids.include?(cms_file.id)
        ' | ' + link_to('公開時に削除', {:action => 'create', :source_id => cms_file.id}, {:method => :post, :confirm => 'プロジェクト公開期間はこのファイルは削除されます。よろしいですか？'})
      elsif cms_file.cms_project.status_key == :opened && @delete_ids.include?(cms_file.id)
        ' | ' + link_to('削除取消', {:action => 'destroy', :source_id => cms_file.id}, :method => :delete)
      end
    end
  end
end
