module CmsProjectApprovalsHelper

  def print_create_link
    case @assign.role_key 
      when :editor
        if @cms_project.acceptance_type_key == :ed_ck_ap
          link_to_function('確認依頼', 
            "if(confirm('確認依頼してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:requested)};document.forms[0].submit()}")
        else
          link_to_function('承認依頼', 
            "if(confirm('承認依頼してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:checked)};document.forms[0].submit()}")
        end
      when :checker
        link_to_function('承認依頼', 
          "if(confirm('承認依頼してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:checked)};document.forms[0].submit()}") << 
        "&nbsp&nbsp" << 
        link_to_function('差し戻し', 
          "if(confirm('差し戻してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:check_passbacked)};document.forms[0].submit()}")
      when :approver
        result = link_to_function('承認', 
          "if(confirm('承認してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:approved)};document.forms[0].submit()}") << 
        "&nbsp&nbsp"
        unless @cms_project.acceptance_type_key == :only_approval
        result << link_to_function('差し戻し', 
          "if(confirm('差し戻してよろしいですか？')){$('cms_project_approval_result_cd').value = #{CmsProjectApproval.result_id_by_key(:approve_passbacked)};document.forms[0].submit()}")
        end
        result
    end
  end
  
  def role_name(approval)
    case approval.result_key
      when :requested
        CmsProjectAssign.role_name_by_key(:editor)
      when :checked
        if @cms_project.acceptance_type_key == :ed_ap
          CmsProjectAssign.role_name_by_key(:editor)
        else
          CmsProjectAssign.role_name_by_key(:checker)
        end
      when :approved
        CmsProjectAssign.role_name_by_key(:approver)
      when :check_passbacked
        CmsProjectAssign.role_name_by_key(:checker)
      when :approve_passbacked
        CmsProjectAssign.role_name_by_key(:approver) 
    end
  end
end
