module CmsVersionsHelper
  def type_name(type)
    # ruby/gitの不具合のため、git.typeは、削除した場合はnew、新規登録した場合はdeletedを返す
    case type
    when 'new'; return '削除'
    when 'modified'; return '変更'
    when 'deleted'; return '新規登録'
    else return type
    end
  end
  
  def branch_name(branch)
    if branch.name =~ /^(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/
      return "#{$1}/#{$2}/#{$3} #{$4}:#{$5}:#{$6}"
    else
      return branch.name
    end
  end
end
