module InventoriesHelper
  #商品ごとのSKU数をカウントする
  def sku_count_by_product(product_skus)
    sku_counts = {}
    product_skus.group_by(&:product_code).each do |product_code, skus|
      sku_counts[product_code] = skus.length
    end
    return sku_counts
  end
  
  #バリエーション名を表示用に整形する
  def display_variation_name(variation_name)
    result = variation_name
    if variation_name.blank?
      result = 'バリエーション無し'
    end
    return result
  end
end
