# -*- coding: utf-8 -*-
module MailTemplatesHelper
  def mail_template_locale_list(mail_template)
    if mail_template.mail_type_div_entry[:ja_only]
      return [[locale_for_display('ja'), "ja"]] 
    else
      return locale_list
    end
  end

  def deletable?(list, target)
    # 使用されていないテンプレートなら削除可
    if target.use_div_key == :false
      return true
    end

    # 使用されているテンプレートが他にもあれば削除可
    list.each do |template|
      if (template.use_div_key == :true) && (template.id != target.id) && template.mail_type_div == target.mail_type_div
        return true
      end
    end
    return false
  end
end
