module ProductHelper
  include ProductCategoriesHelper
  include EcRider::PluginModule::Extendable

  def product_image_tag(product_image)
    return "<br/>" + image_tag("/public/images/no_image.png", :size => '300*300') if product_image.nil?
    html = (product_image.main_flg ? "（メイン画像）" : "")
    html << "<br/>"
    html << image_tag(product_image.public_filename(:thumb))
  end

  # プラグイン用追加詳細画面表示
  def render_partial_product_show_for_pulgins(product)
    html = ""
    return html
  end
end
