# -*- coding: utf-8 -*-
class CmsBindItem < ActiveRecord::Base
  belongs_to :cms_bind, :foreign_key=> "cms_bind_id"
  has_many :contents, :class_name => 'CmsBindContent', :foreign_key => 'cms_bind_item_id'

  # Rails2.3.2のnested_form に移行しやすくなるように名前をつけています。
  attr_accessor :contents_attributes

  attr_accessor :name, :input_type

  selectable_attr :input_type do
    entry 'select', :code, '項目選択'
    entry 'tab', :content, '直接入力'
  end
end
