# -*- coding: utf-8 -*-
class ProductFaqRelationProduct < ActiveRecord::Base
  versioned

  belongs_to :product_faq
  belongs_to :product

  accepts_nested_attributes_for :product

  # 削除を指示するためのフラグ
  attr_accessor :deleting

  # 紐づく商品を一覧にして返却します。
  def self.create_product_list(relation_product)
    products = []
    relation_product.each do |reration_product|
      unless reration_product.marked_for_destruction?
        products << reration_product.product
      end
    end
    return  products
  end
end
