class ProductPrice < ActiveRecord::Base
  versioned

  belongs_to :product_sku
  belongs_to :user_rank

  validates_presence_of :standard_price
#  validates_presence_of :regular_purchase_price
  validates_numericality_of :standard_price, :greater_than_or_equal_to => 0
#  validates_numericality_of :regular_purchase_price
  
end
