class AddColumnCostToProductSkus < ActiveRecord::Migration

  class CsvDownloadPatternItem < ActiveRecord::Base
  end

  def self.up
    add_column :product_skus, :cost, :integer
    CsvDownloadPatternItem.create(
      :csv_download_pattern_id => 28,
      :code => "285",
      :display_order => 44,
      :name => "商品原価",
      :creator_id => "1",
      :updater_id => "1"
    )
  end

  def self.down
    remove_column :product_skus, :cost
    CsvDownloadPatternItem.delete_all(
      ["csv_download_pattern_id=? and code=? and display_order = ?", 28, "285", 44]
    )
  end
end
