class MigrateToUserEmails < ActiveRecord::Migration
  def self.up
    # pc_mobile_div を "1"(PC) にupdate
    UserEmail.transaction do
      UserEmail.update_all("pc_mobile_div = 1")
    end
  end

  def self.down
    # pc_mobile_div を mail_address_pc_mobile_div と同じ値にupdate
    UserEmail.transaction do
      UserEmail.update_all("pc_mobile_div = mail_address_pc_mobile_div")
    end
  end
end
