
# -*- coding: utf-8 -*-
module EcrMobileFront
  module EcHelperExt
    unloadable

    def self.included(klass)
      klass.module_eval do
        alias_method_chain :ec, :ecr_mobile
      end
    end

    class EcHelperImplForMobile < (::EcRider::EcHelper::EcHelperImpl)
      puts "include for mobile[#{EcrMobile::PluginModule::TagExtender.mobile_ec_helpers.join(', ')}]"
      EcrMobile::PluginModule::TagExtender.mobile_ec_helpers.each{|mod_name| include(mod_name.constantize)}
    end

    def ec_with_ecr_mobile(type=:pc)
      if request.mobile?
        @ec_mobile ||= EcHelperImplForMobile.new(self)
      else
        ec_without_ecr_mobile
      end
    end

  end
end
