// Place your application-specific JavaScript functions and classes here
// This file is automatically included by javascript_include_tag :defaults

  


var error_msg = function(id, msg){
    $(id).innerHTML = msg;
    return false;
}

function checkCookie(url) {
  var nTime = 1*24*60*60*1000; //有効期限1日
　 //テストするための文字列
　 var strTest = "CookieTest=test";
　 //有効期限の計算
　 var dt = new Date();
　 dt.setTime(dt.getTime() + nTime);
　 //クッキー作成
　 document.cookie = strTest + "; expires=" + dt.toGMTString();
　 //クッキー取得
　 var strTemp = document.cookie;
　 if (!strTemp){
　　 location.href=url;
　 } else {
	    dTime = new Date();
      dTime.setYear(dTime.getYear() - 1);
      document.cookie = strTest + ";expires=" + dTime.toGMTString();
	}
}


/*
 * クレジット情報フォームの表示非表示を切り替えます。
 */
function show_or_hide_credit_form(visible_flag){
    var credit_inputs = $$('.credit_form .credit_form input')
    var selects = $$('.credit_form select')
    for (var i = 0; i < selects.length; i++) {
        credit_inputs.push(selects[i]);
    }
    
    var disp = isDisp();
    for (var i = 0; i < credit_inputs.length; i++) {
        if (!disp) {
            credit_inputs[i].value = ''
            credit_inputs[i].disable();
            
        }
        else {
            credit_inputs[i].enable();
        }
    }
    
    if (disp) {
        new Effect.Appear($$('.credit_form')[0]);
    }
    else {
        if (visible_flag) {
            $$('.credit_form')[0].hide();
        }
        else {
            new Effect.Fade($$('.credit_form')[0]);
        }
        
    }
}

/*
 * クレジット情報フォームを表示する場合trueを返します。
 */
function isDisp(){
    var result = false;
    var payment_types = $$('.payment_type')
    for (var i = 0; i < payment_types.length; i++) {
        if (payment_types[i].value == '2') {
            result = true;
            break;
        }
    }
    return result;
}

/*
 * クレジット番号の表示を切り替える
 */
function show_or_hide_credit_form_card_number(){
    var amex = isAmex();
    var show_card_array = amex ? $$('.card_type_amex input') : $$('.card_type_normal input');
    var hide_card_array = amex ? $$('.card_type_normal input') : $$('.card_type_amex input');
    var show_obj = amex ? $$('.card_type_amex') : $$('.card_type_normal');
    var hide_obj = amex ? $$('.card_type_normal') : $$('.card_type_amex');
    
    for (var i = 0; i < hide_card_array.length; i++) {
        hide_card_array[i].disable();
        hide_card_array[i].value = ""
    }
    for (var i = 0; i < show_card_array.length; i++) {
        show_card_array[i].enable();
    }
    
    show_obj[0].show();
    hide_obj[0].hide();
    
}

/*
 * Amex・Dinersフィールドを表示する場合trueを返します。
 */
function isAmex(){
    var result = false;
    var type_amex = $('payment_and_send_info_card_kind_amex');
    var type_diners = $('payment_and_send_info_card_kind_diners');
    if ((type_amex.checked == true) || (type_diners.checked == true)) {
        result = true;
    }
    return result;
}


/**
 * 画面中のinputをすべて非アクティブにします。
 */
function form_disable(){
    elements = $$('input');
    for (var i = 0; i < elements.length; i++) {
        elements[i].disable();
    }
    
    selects = $$(' select');
    for (var i = 0; i < selects.length; i++) {
        selects[i].disable();
    }
}

/**
 * 画面中のinputをすべてアクティブにします。
 */
function form_eable(){
    elements = $$('input');
    for (var i = 0; i < elements.length; i++) {
        elements[i].eable();
    }
    selects = $$(' select');
    for (var i = 0; i < selects.length; i++) {
        selects[i].eable();
    }
}

/**
 * Ajaxリクエスト中の入力を隠します。
 */
function disabled_inputs(){
    inputs = $$('input');
    for (var i = 0; i < inputs.length; i++) {
        inputs[i].disable();
    }
    
    selects = $$(' select');
    for (var i = 0; i < selects.length; i++) {
        selects[i].disable();
    }
}

/**
 * Ajax中にdisableにしたinput項目をenableにもどします。
 */
function enable_inputs(){
    inputs = $$('input');
    for (var i = 0; i < inputs.length; i++) {
        if (inputs[i].id != 'first_button') {
            inputs[i].enable();
        }
    }
    
    selects = $$(' select');
    for (var i = 0; i < selects.length; i++) {
        selects[i].enable();
    }
}
