#!/bin/bash
export basename="rake_ecr_cms_backup"
if [ -f /home/xec/batches/pids/$basename.pid ]; then
  if $(kill -0 `cat /home/xec/batches/pids/$basename.pid` 2>/dev/null) ; then
    echo $basename is working now.
    exit 0
  else
    echo $basename is NOT working now but /home/xec/batches/pids/$basename.pid exists, now removing the pid file.
    # rm -f /home/xec/batches/pids/$basename.pid                                                                                                                                                                                    
  fi
fi

mkdir -p /home/xec/batches/pids
echo $$ > /home/xec/batches/pids/$basename.pid

source /home/xec/.bash_profile
cd /home/xec/capistrano/ec_admin/current
/usr/bin/rake RAILS_ENV=production ECR_LOG_NAME=batch ecr:cms:backup

rm -f /home/xec/batches/pids/$basename.pid
