#!/bin/bash
export basename="runner_remove_stale_sessions"
if [ -f /home/xec/batches/pids/$basename.pid ]; then
  if $(kill -0 `cat /home/xec/batches/pids/$basename.pid` 2>/dev/null) ; then
    echo $basename is working now.
    exit 0
  else
    echo $basename is NOT working now but /home/xec/batches/pids/$basename.pid exists, now removing the pid file.
    # rm -f /home/xec/batches/pids/$basename.pid
  fi
fi

mkdir -p /home/xec/batches/pids
echo $$ > /home/xec/batches/pids/$basename.pid

source /home/xec/.bash_profile
cd /home/xec/capistrano/ec_front/current
/usr/bin/ruby /home/xec/capistrano/ec_front/current/script/runner -e production 'SessionCleaner.remove_stale_sessions'

rm -f /home/xec/batches/pids/$basename.pid
