# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe TagReferencesHelper, :type => :helper do
  before do
    helper.extend(ApplicationHelper)
  end
  
  describe "sorted_descriptions" do
    it "配列を返す" do
      helper.sorted_descriptions(:BaseTag).is_a?(Array).should be_true
    end
  end

  describe "tag_reference_menu_link" do
    it "メニューを生成する" do
      helper.tag_reference_menu_link(:TestTestTag, 'てすと').should == "<li><a href=\"javascript:switch_tag('test_test')\">てすと</a></li>"
    end
  end

  describe "render_reference" do
    it "リファレンスを生成する" do
      result = helper.render_reference(:BaseTag, 'こめんと')
      result.should =~ />t<wbr\/>o<wbr\/>d<wbr\/>a<wbr\/>y</
      result.should =~ /現在日付を表示します。/
    end
  end

end
