# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe ProductSkuCurrentInventory do
  fixtures :product_skus, :product_sku_inventories, :product_sku_secure_inventories
  
  describe "test find" do
    it "get product_sku_current_inventory" do
      inventory = ProductSkuCurrentInventory.find(:first, :conditions => {:product_sku_id => 266})
      inventory.stock_count.should == 50
      inventory.secure_stock_count.should == 26
      inventory.unpaid_secure_stock_count.should == 1
    end
  end
end
