require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/banners/index.html.erb" do
  include BannersHelper
  
  before(:each) do
    assigns[:banners] = [
      stub_model(Banner,
        :code => "value for code",
        :type_cd => "value for type_cd",
        :display_order => 1,
        :link_url => "value for link_url"
      ),
      stub_model(Banner,
        :code => "value for code",
        :type_cd => "value for type_cd",
        :display_order => 1,
        :link_url => "value for link_url"
      )
    ]
  end

  it "renders a list of banners" do
    pending
    render
    response.should have_tag("tr>td", "value for code".to_s, 2)
    response.should have_tag("tr>td", "value for type_cd".to_s, 2)
    response.should have_tag("tr>td", 1.to_s, 2)
    response.should have_tag("tr>td", "value for link_url".to_s, 2)
  end
end

