require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/banners/new.html.erb" do
  include BannersHelper
  
  before(:each) do
    assigns[:banner] = stub_model(Banner,
      :new_record? => true,
      :code => "value for code",
      :type_cd => "value for type_cd",
      :display_order => 1,
      :link_url => "value for link_url"
    )
  end

  it "renders new banner form" do
    pending
    render
    
    response.should have_tag("form[action=?][method=post]", banners_path) do
      with_tag("input#banner_code[name=?]", "banner[code]")
      with_tag("input#banner_type_cd[name=?]", "banner[type_cd]")
      with_tag("input#banner_display_order[name=?]", "banner[display_order]")
      with_tag("input#banner_link_url[name=?]", "banner[link_url]")
    end
  end
end


