require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaign_effects/edit.html.erb" do
  include CampaignEffectsHelper
  
  before(:each) do
    assigns[:campaign_effect] = @campaign_effect = stub_model(CampaignEffect,
      :new_record? => false,
      :campaign_id => 1,
      :type_cd => "01",
      :operator_cd => "01",
      :value => 'some value'
    )
  end

  it "renders the edit campaign_effect form" do
    render
    
    # response.should have_tag("form[action=?][method=post]", url_for(:controller => 'campaign_effects', :action => 'update', :id => @campaign_effect.id)) do
    #   with_tag('input[name=_method][value="put"]')
    response.should have_tag("div[class=row]") do
      with_tag("input[type=?][id=?][name=?]", /text|hidden/i, /campaign_effect_campaign_id/, /campaign_effect\[campaign_id\]/)
      with_tag("select#campaign_effect_type_cd[name=?]", "campaign_effect[type_cd]")
    end
  end
end


