require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaigns/new.html.erb" do
  include CampaignsHelper
  
  before(:each) do
    assigns[:campaign] = stub_model(Campaign,
      :new_record? => true,
      :code => 'some code',
      :name => 'some name',
      :main_page_url => '/campaign_page',
      :started_at => Time.now,
      :finished_at => Time.now
    )
  end

  it "renders new campaign form" do
    render
    
    response.should have_tag("form[action=?][method=post]", url_for(:controller => 'campaigns', :action => 'create')) do
      with_tag("input#campaign_code[name=?]", "campaign[code]")
      with_tag("input#campaign_name[name=?]", "campaign[name]")
      with_tag('select')
    end
  end
end


