require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/cms_versions/index" do
  before(:each) do
    git_log = mock('git_log1')
    git_log.should_receive(:objectish).exactly(2).and_return("589647128dc59bd4f773ce72f1129011f35896c0")
    git_log.should_receive(:date).exactly(2).times.and_return(Time.local(2009, 2, 13, 11, 48, 22))
    git_log.should_receive(:message).and_return("commit message")
    template.instance_variable_set(:@git_commits, [git_log])
    
    git_branch = mock('git_branch')
    git_branch.should_receive(:name).exactly(3).and_return("20090213100000")
    git_branch.should_receive(:current).and_return(false)
    template.instance_variable_set(:@git_branches, [git_branch])

    template.instance_variable_set(:@log_search_form, CmsVersion::LogSearchForm.new)
    
    render 'cms_versions/index'
  end
  
  #Delete this example and add some real ones or delete this file
  it "should tell you where to find the file" do
    # response.should have_tag('p', %r[Find me in app/views/cms_versions/index])
  end
end
