require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/cms_versions/show" do
  before(:each) do
    git_log = mock('git_log1')
    git_log.should_receive(:sha).twice.and_return("589647128dc59bd4f773ce72f1129011f35896c0")
    git_log.should_receive(:date).and_return(Time.local(2009, 2, 13, 11, 48, 22))
    git_log.should_receive(:message).and_return("commit message")
    template.instance_variable_set(:@git_commit, git_log)
    diff_entry = mock('diff_entry1')
    diff_entry.should_receive(:type).and_return("new")
    diff_entry.should_receive(:mode).and_return("100644")
    diff_entry.should_receive(:path).twice.and_return("ec_front/app_views_cms/index.html.erb")
    template.instance_variable_set(:@git_diff, [diff_entry])
    render 'cms_versions/show'
  end
  
  #Delete this example and add some real ones or delete this file
  it "should tell you where to find the file" do
    # response.should have_tag('p', %r[Find me in app/views/cms_versions/show])
  end
end
