# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/order/print_en.rhtml" do
  include OrderHelper

  fixtures(:orders, :order_shippings, :order_items, 
    :users, :user_emails, :user_addresses,
    :products, :product_displays, :product_skus, :product_prices
    )

  before(:each) do
    assigns[:order] = Order.find(1)
  end

  it "請求書兼納品書(英語)" do
    lambda{ render }.should_not raise_error
    response.should have_tag("title", "INVOICE")
  end
end

