require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/product_variations/edit.html.erb" do
  include ProductVariationsHelper
  
  before(:each) do
    assigns[:product_variation] = @product_variation = stub_model(ProductVariation,
      :new_record? => false,
      :name_for_admin => "value for name_for_admin"
    )
  end

  it "renders the edit product_variation form" do
    render
    
    response.should have_tag("form[action=#{product_variation_path(@product_variation)}][method=post]") do
      with_tag('input#product_variation_name_for_admin[name=?]', "product_variation[name_for_admin]")
    end
  end
end


