require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')


describe "/user/new" do
  include UserHelper

  before(:each) do
    assigns[:user] = User.new
    assigns[:user_address] = UserAddress.new
    assigns[:user_email] = UserEmail.new
    assigns[:shipping_addresses] = []
  end

  it "PCサイト用のEmailアドレスの入力フォームが表示される。" do
    render
    response.should have_tag('input#user_email_email[name=?][size=?][type=?]',
      "user_email[email]", "40", 'text')
  end

  it "ログインIDの入力フォームが存在する。" do
    render
    response.should have_tag('input#user_login_id[name=?][size=?][type=?]',
      'user[login_id]', '20', 'text')
  end
end


