require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')


describe "/user_ranks/new.html.erb" do
  include UserRanksHelper
  
  before(:each) do
    assigns[:user_rank] = stub_model(UserRank,
      :new_record? => true,

      :name => "value for name"

    )
  end

  it "renders new user_rank form" do
    render
    
    response.should have_tag("form[action=?][method=post]", user_ranks_path) do

      with_tag("input#user_rank_name[name=?]", "user_rank[name]")

    end
  end
end


