# -*- coding: utf-8 -*-
module EcRider
  module EcHelper
    module EnqueteFormTag
      #extend MethodDescription

      #アンケート機能廃止に伴い関連タグを無効化します。
      #既存のCMSページに影響が出ないようにタグは残しておきます。
      
      #アンケート画面用のフォームを出力します
      def enquete_form(&block)
        @template.concat(@template.capture(&block))
      end

      #表示するアンケート分繰り返し処理を行います。
      def enquete_form_enquete_list(&block)
        return ""
      end

      #アンケートのタイトルを出力します。
      def enquete_form_enquete_title(*args, &block)
        return ""
      end

      #１アンケートの入力情報を繰り返します。
      def enquete_form_enquete(*args, &block)
        return ""
      end

      #１アンケートの入力項目を出力します。アンケートの種類によってラジオボタンかチェックボックスを表示します。 
      def enquete_form_enquete_input(*args, &block)
        return ""
      end

      #１アンケートの入力項目のラベルを出力します。
      def enquete_form_enquete_label(*args, &block)
        return ""
      end

      #アンケートの入力項目がN個に達した場合のみ引数で渡したHTMLを出力します。
      def enquete_form_new_line(options = {} , *args, &block)
        return ""
      end

      #アンケートがあればその中身を実行します。
      def if_enquete_exists(*args, &block)
        return ""
      end

      #アンケートがなければその中身を実行します。
      def unless_enquete_exists(*args, &block)
        @template.concat(@template.capture(&block))
      end
    end
  end
end
