class CsvDownloadPatternProductCondition < ActiveRecord::Base
  belongs_to :pattern, :class_name => "CsvDownloadPattern", :foreign_key => 'csv_download_pattern_id'
  
  def self.new_by_condition_form(conditions)
    CsvDownloadPatternProductCondition.new(
      :product_code => conditions[:product_code], 
      :product_name => conditions[:product_name], 
      :variation => conditions[:variation]
    )
  end
end
