class ErrorMailer < ExceptionNotifier
  self.template_root = "#{RAILS_ROOT}/app/views"
  
  # モデルでエラーメールを送信する場合、利用します。
  def error_mail(klass, data={})
    case klass
      when Exception then
      backtrace = sanitize_backtrace(klass.backtrace)
    end
    content_type "text/plain"
    subject    "#{email_prefix} #{klass.class} "
    recipients exception_recipients
    from       sender_address
    body       data.merge({:klass=>klass, :backtrace=>backtrace})
  end
  
end