class OrderItemCampaign < ActiveRecord::Base
  acts_as_paranoid

  # campaign_nameにcode,nameでアクセスするためのゲッター
  def name
    self.campaign_name
  end
  def code
    self.campaign_code
  end

  def self.new_by_campaign(campaign)
    new(
      :campaign_id => campaign.id,
      :campaign_code => campaign.code,
      #TODO 多言語対応
      :campaign_name => campaign.name,
      :campaign_name_for_admin => campaign.name
    )
  end
end
