# -*- coding: utf-8 -*-
# Settings specified here will take precedence over those in config/environment.rb

# config.gem "rspec", :version => '1.1.12'
# config.gem "rspec-rails", :version => '1.1.12'
config.gem "rcov", :version => '0.8.1.2.0'


# The test environment is used exclusively to run your application's
# test suite.  You never need to work with it otherwise.  Remember that
# your test database is "scratch space" for the test suite and is wiped
# and recreated between test runs.  Don't rely on the data there!
config.cache_classes = true

# Log error messages when you accidentally call methods on nil.
config.whiny_nils = true

# Show full error reports and disable caching
config.action_controller.consider_all_requests_local = true
config.action_controller.perform_caching             = false

# Tell ActionMailer not to deliver emails to the real world.
# The :test delivery method accumulates sent emails in the
# ActionMailer::Base.deliveries array.
config.action_mailer.delivery_method = :test

EcRider.config.ec_admin_url = "http://localhost:3000"
EcRider.config.ec_front_url = "http://localhost:3001"
EcRider.config.ec_test_url = "http://localhost:3100"

###################
# 決済システム
###################
PAYMENT_SYSTEM_DIV= '2'


# 簡体字の入力・DB更新を許すか否か
# trueの場合、簡体字のバリデーションを付与
# falseの場合、英数字のみの入力、簡体字のバリデーションは外します。
EcRider.config.chinese_format_using = true
