class AddColumnUrlOutsideFlgForProductsAndProductCategories < ActiveRecord::Migration
  def self.up
    add_column :products, :detail_url_outside_flg, :boolean, :comment => '商品詳細画面外部URL有無フラグ'
    add_column :product_categories, :url_outside_flg, :boolean, :comment => 'カテゴリページ外部ページ有無フラグ'
    change_column :products, :detail_url,:string, :limit => 500
    change_column :product_categories, :url, :string, :limit => 500
  end

  def self.down
    change_column :products, :detail_url, :string, :limit => 255
    change_column :product_categories, :url, :string, :limit => 255
    remove_column :products, :detail_url_outside_flg
    remove_column :product_categories, :url_outside_flg
  end
end
