class AddProductDownloadPatternItemData < ActiveRecord::Migration
  class CsvDownloadPatternItem < ActiveRecord::Base
  end
  def self.up
    pattern_item = CsvDownloadPatternItem.new(:csv_download_pattern_id => "28", :code => "259", :display_order => "15", :name => "販売終了日時")
    pattern_item.save_with_validation(false) # valueの整合性チェックがあるが、整合性が取れた状態のデータから直接作成するためバリデーションチェックをしません。
  end

  def self.down
    pattern_item = CsvDownloadPatternItem.find(:all, :conditions => ["csv_download_pattern_id =? and code = ?", '28', "259"])
    pattern_item.destroy
  end
end
