# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe UserMobile, :type => :model do
  fixtures :users, :user_addresses, :user_emails

  describe "メールアドレスから秘密の質問取得" do
    it "秘密の質問を取得し、セットできたらOK" do
      @reminder_form = ReminderForm.new(:email => 'member48@ecrider.com')
      @reminder_form.remember_question.should be_nil
      @reminder_form.set_remember_question
      @reminder_form.remember_question.should == 'Q'
    end
  end
end