module EcrMobileFront
  module InquiryControllerExt
    unloadable

    #
    # ログインしている会員のメールアドレスを取得する
    #
    def get_email_with_ecr_mobile_front
      return get_email_without_ecr_mobile_front unless request.mobile?

      return nil unless self.current_user.user_email_mobile
      self.current_user.user_email_mobile.email
    end
  end
end
