module ApplicationHelperExtention
  include EcRider::PluginModule::Extendable

  #
  # link_toののbutton版ヘルパ
  # 使い方はlink_toと同じ
  #
  def button_to_url(name, url_options = {}, button_options = {})
    url_options = {:controller => 'cms', :action => ShopSetting.get_setting(:top_action, I18n.locale)} if url_options.blank?
    url = url_for(url_options)
    if button_options.include?(:target)
      if button_options[:target] == '_blank'
        function = "window.open('#{url}','_blank')"
      else
        function = "#{button_options[:target]}.location.href='#{url}'"
      end
    else
      function = "location.href='#{url}'"
    end
    button_to_function(name, function, button_options)
  end
  
end
