# -*- coding: utf-8 -*-
# To change this template, choose Tools | Templates
# and open the template in the editor.

require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe ResignedReasonController do
  fixtures :resigned_reasons, :users, :user_emails, :user_addresses, :shop_settings

  before do
    user = User.find(1007)
    user.user_email = UserEmail.new(:email => 'email_address_01008@test.com')
    session[:cart_tmp_user] = user
    session[:user] = user.id
  end

  describe "Get 'index'" do
    before do
      get :index
    end
    it "[no parameter] index session[:resigned_reason] is nil" do
      session[:resigned_reason].should == nil
    end
    it "[no parameter] index redirect to resigned_reason" do
      assert_redirected_to({:controller => 'resign', :action => :enter_reason})
    end
  end

  describe "Get 'resigned_reason'" do
    it "redirect to resigned_reason" do
      get :resigned_reason
      assert_redirected_to({:controller => 'resign', :action => :enter_reason})
    end
  end
end
