# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe InquiryMemo do

  describe "A number of the figures check" do
    
    before(:each) do
      @memo = ""
    end

    it "An error does not occur by a figure number of memo check" do
      1000.times {@memo += "A"}
      inquiry_memo = InquiryMemo.new(:memo => @memo)
      # 桁数チェック結果
      inquiry_memo.should be_valid
    end

    it "An error occurs by a figure number of memo check" do
      1001.times {@memo += "A"}
      inquiry_memo = InquiryMemo.new(:memo => @memo)
      # 桁数チェック結果
      inquiry_memo.errors_on(:memo).should == ["は1000文字以内で入力してください。"]
    end    
  end
end
