# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe KbnCodeName do
  fixtures :kbn_code_names
  before(:each) do
    @supported_locales = I18n.supported_locales.map(&:to_s)
  end
  after(:each) do
    I18n.supported_locales = @supported_locales
  end

  it "should be " do
    I18n.supported_locales = ["ja"]
    kbn_code_names = KbnCodeName.find_code_names_by_kbn_code_id(250)
    kbn_code_names.should have(1).record
    kbn_code_names.length.should == 1
    kbn_code_names[0].name.should == "会社員"
  end
end
