# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe ProductFaqRelationProduct do
  fixtures :product_faqs, :product_faq_displays, :product_faq_relation_products, :products
  describe "create_product_list" do
    it "関連商品がない場合　期待値：空の配列を返す" do
      ProductFaqRelationProduct.create_product_list([]).should == []
    end
    it "関連商品が存在する場合　期待値：関連商品に紐づく商品の配列を返す" do
      pf = ProductFaq.find(1)
      relation_product = pf.relation_products
      products = ProductFaqRelationProduct.create_product_list(relation_product)
      products[0].id.should == 1
      products[0].product_code.should == '0000000009051'
    end
  end
end
