# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe ResignedReason do
  
  describe "in Japanese" do
    describe "A number of the figures check" do
      before(:each) do
        @reason = ""
      end
      it "An error does not occur by a figure number of reason check" do
        1000.times {@reason += "A"}
        resigned_reason = ResignedReason.new(:reason => @reason)
        # 桁数チェック結果
        resigned_reason.should be_valid
      end
      it "An error occurs by a figure number of reason check" do
        1001.times {@reason += "A"}
        resigned_reason = ResignedReason.new(:reason => @reason)
        # 桁数チェック結果
        #resigned_reason.should have(1).error_on(:reason)
        resigned_reason.errors_on(:reason).should == ["は1000文字以内で入力してください。"]
      end    
    end
  end
end
