module Goldberg
  class UserEditController < ApplicationController
    class_desc :display_name => '登録情報編集'

    # = 登録情報編集画面表示 =
    def edit
      @goldberg_user = Goldberg::User.find(session[:user])
    end
    
    # = 登録情報更新 =
    def update
      update_attr = params[:goldberg_user]
      # パスワードが未入力の場合は、パスワードを更新対象からはずす
      if update_attr[:password].blank? &&  update_attr[:password_confirmation].blank?
        update_attr.delete(:password)
        update_attr.delete(:password_confirmation)
      end

      goldberg_user = Goldberg::User.find(session[:user])
      goldberg_user.attributes = update_attr
      unless goldberg_user.valid? #バリデーション
        @goldberg_user = goldberg_user
        render :action => :edit
        return
      end

      if goldberg_user.save!
        redirect_to :controller => "goldberg/auth", :action=> 'login'
      else
        render :action => :edit
      end
    end

  end
end
