module BannersHelper
  include BannerDisplaysHelper
  include BannerConditionsHelper

  def banner_content(banner)
    display = banner.display_for(I18n.default_locale)
    display ||= banner.displays.first
    return nil unless display
    case banner.type_key
    when :image then
      image_tag(display.path_from_ec_admin_public, :alt => display.image_alt, :width => 100)
    when :text then
      h(display.text_description)
    end
  end

end
