# -*- coding: utf-8 -*-
module CmsHelper
  include EcRider::EcHelper

  def logged_in?
    params[:login] == 'true'
  end

  #
  # 現在のテーマから指定された画像を取得する
  #
  def theme_image_tag(source, options)
    image_tag("/themes/#{ShopSetting[:site_theme]}/images/#{source}", options)
  end
  
  #
  # プレビューではリンクの権限チェックをしません
  #
  def link_to(*args, &block)
    @template.link_to_without_ecr_omission(*args, &block)
  end
end
