class UserLoginForm < ActiveForm
  include ActiveRecord::Validations
  
  attr_accessor :email, :password

  validates_presence_of :email, :password

  def authenticate
    return nil unless valid?
    user = User.authenticate(email, password)
    unless user
      errors.add(:password, :EM990007)
      errors.add(:email, :EM990007)
    end
    self.password = ''
    user
  end

end
