require 'magic_userstamp'
# Comment out if you don't use t.userstamp at all in migrations
ActiveRecord::ConnectionAdapters::TableDefinition.send(:include, MagicUserstamp::MigrationHelper)
ActiveRecord::Base.module_eval do
  include MagicUserstamp
end

MagicUserstamp.config.setup do |config|
  # config.verbose = true
  # config.verbose = {:classes => [:Version]}
  config.defaults(:stamper_class_name => 'Goldberg::User')
end

# If you have some classes which has loaded before Userstamp is loaded,
# Set record_userstamp = true
# Example: vestal_versions gem
Version.record_userstamp = true if defined?(Version)
