class AddColumnTextTitleForBannerDisplays < ActiveRecord::Migration
  def self.up
    add_column :banner_displays, :text_title, :string,  :limit => 120, :comment => 'バナーテキストタイトル'
    remove_column :banner_displays, :text_category_cd
  end

  def self.down
    add_column :banner_displays, :text_category_cd, :string,  :limit => 2, :comment => '(テキストの)分類[バナータイプがテキストの時は必須]'
    remove_column :banner_displays, :text_title
  end
end
