class CreateCsvDownloadPatternAccountingConditions < ActiveRecord::Migration
  def self.up
    create_table :csv_download_pattern_accounting_conditions do |t|
      t.integer  "csv_download_pattern_id", :comment => "CSVダウンロードパターン"
      t.string "start_date",        :comment => "範囲開始日"
      t.string "end_date",          :comment => "範囲終了日"
      t.string  "none_output_data",  :comment => "出力済みデータを表示しないフラグ"
      t.string  "previous_point",    :comment => "ポイント集計を表示するフラグ"
      t.timestamps
    end
  end

  def self.down
    drop_table :csv_download_pattern_accounting_conditions
  end
end
