class CreateSchemaComments < ActiveRecord::Migration
  def self.up
    create_table :schema_comments, :comment => "スキーマコメント" do |t|
      t.string :type_div, :length => 6, :comment => "データ区分"
      t.string :table_name, :comment => "テーブル名"
      t.string :column_name, :comment => "カラム名"
      t.string :name, :comment => "名称"
    end
  end

  def self.down
    drop_table :schema_comments
  end
end
