module EcrMobileAdmin
  module UserHelperExt
    
    # 新規登録ページを表示するリンクを表示する
    def print_email_with_ecr_mobile_admin(user)
      result = <<-EOS
        <table>
          <tr><th>PC</th><td>#{(user.user_email ? user.user_email.email : '')}</td></tr>
          <tr><th>モバイル</th><td>#{(user.user_email_mobile ? user.user_email_mobile.email : '')}</td></tr>
        </table>
      EOS
      return result
    end

    def render_email_with_ecr_mobile_admin
      render :partial => 'user_email_mobile_print'
    end

    # メニューバーへのリンク追加
    def render_email_input_form_with_ecr_mobile_admin
      render :partial => 'user_email_mobile'
    end
  end
end
