module EcrMobileFront
  module CartControllerExt
    unloadable
    #
    # カート再計算
    #
    def recalculate_with_ecr_mobile_front
      return recalculate_without_ecr_mobile_front unless request.mobile?

      redirect_to :action => 'index' unless params[:key_and_qtys] || cart_in_session
      # カート情報を取得
      cart = cart_in_session
      # カート更新情報を取得
      key_and_qtys = params[:key_and_qtys][0]

      # カート情報を更新
      key_and_qtys.each do|key, qty|
        if key && qty && cart.items.has_key?(key)
          cart.change_qty(key, qty.to_i)
        end
      end
      redirect_to :action => 'index'
    end

    #
    # 商品削除
    #
    def remove_with_ecr_mobile_front
      return remove_without_ecr_mobile_front unless request.mobile?
      cart = cart_in_session
      return redirect_to(:action => 'index') unless params[:id] || cart
      cart.remove_by_item_key(params[:id])
      redirect_to :action => 'index'
    end

  end
end