module ApplicationHelperExtention
  include EcRider::PluginModule::Extendable

  #
  # 見た目がボタンのリンク
  #
  def button_to_url(name, url_options = {}, button_options = {})
    url_options = {:controller => 'top', :action => 'index'} if url_options.blank?
    url_options.delete(:page) if url_options[:page] && url_options[:page].blank?
    url = url_for(url_options)
    if button_options.include?(:target)
      if button_options[:target] == '_blank'
        function = "window.open('#{url}','_blank')"
      else
        function = "#{button_options[:target]}.location.href='#{url}'"
      end
    else
      function = "location.href='#{url}'"
    end
    button_to_function(name, function, button_options)
  end
  
end
