module EcRider
  module HelperExtention
    def self.included(mod)
      mod.module_eval do
        alias_method_chain :url_for, :ec_rider
      end
    end

    def url_for_with_ec_rider(options = {})
      return url_for_without_ec_rider(options) unless options[:href]
      if options[:escape] == false
        return options[:href]
      else
        return url_for_without_ec_rider(options[:href])
      end
    end
  end
end
