require File.join(File.dirname(__FILE__), '../goldberg')

# Set the appropriate table prefix using AR's "set_table_name"
module Goldberg
  module Model

    def self.included(base)
      base.class_eval do

        def self.prefix
          if not @prefix
            @prefix = 'goldberg_'
          end
          @prefix
        end

        (table_name =~ /goldberg/) ||
          (set_table_name "#{self.prefix}#{self.table_name}")
      end
    end

  end
end

