require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe CmsVersionsController do

  before do
    login_as("admin")
    CmsPublish.stub!(:send_reload_request)
  end

  #Delete these examples and add some real ones
  it "should use CmsVcController" do
    controller.should be_an_instance_of(CmsVersionsController)
  end

  unless ENV['ECR_CMS_GIT_DIR'].blank?

    describe "GET 'index'" do
      it "should be successful" do
        get 'index'
        response.should be_success
      end
    end

    describe "GET 'new'" do
      it "should be successful" do
        get 'new'
        response.should be_success
      end
    end

    describe "GET 'show'" do
      it "should be successful" do
        get 'show'
        # response.should be_success
        response.should redirect_to(:action => 'index')
      end
    end
  end

end
