require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaign_effects/new.html.erb" do
  include CampaignEffectsHelper
  
  before(:each) do
    assigns[:campaign_effect] = stub_model(CampaignEffect,
      :new_record? => true,
      :campaign_id => 1,
      :type_cd => "01",
      :operator_cd => "01",
      :value => 'some value'
    )
  end

  it "renders new campaign_effect form" do
    render

    # response.should have_tag("form[action=?][method=post]", url_for(:controller => 'campaign_effects', :action => 'create')) do
    response.should have_tag("div.row") do
      # with_tag("input[type=text][id=?]", /text|hidden/, /CampaignEffect_\d+_campaign_display/)
      with_tag("input[type=?][id=?][name=?]", /text|hidden/, /campaign_effects_attributes_\d+_campaign_id/, /campaign\[effects_attributes\]\[\d+\]\[campaign_id\]/)
      with_tag("select[id=?][name=?]", /campaign_effects_attributes_\d+_type_cd/, /campaign\[effects_attributes\]\[\d+\]\[type_cd\]/)
    end
  end
end
