require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/campaigns/edit.html.erb" do
  include CampaignsHelper
  
  before(:each) do
    assigns[:campaign] = @campaign = stub_model(Campaign,
      :new_record? => false,
      :code => 'some code',
      :name => 'some name',
      :main_page_url => '/campaign_page',
      :started_at => Time.now,
      :finished_at => Time.now
    )
  end

  it "renders the edit campaign form" do
    render
    
    response.should have_tag("form[action=?][method=post]", url_for(:controller => 'campaigns', :action => 'update', :id => @campaign.id)) do
      with_tag('input[name=_method][value="put"]')
      with_tag("input#campaign_code[name=?]", "campaign[code]")
      with_tag("input#campaign_name[name=?]", "campaign[name]")
      with_tag('select')
    end
  end
end


