require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/product_skus/new.html.erb" do
  include ProductSkusHelper
  
  before(:each) do
    assigns[:product] = @product = stub_model(Product)
    assigns[:product_sku] = stub_model(ProductSku,
      :new_record? => true,
      :product_id => 1,
      :variation_item_1_id => 1,
      :variation_item_2_id => 1,
      :variation_item_3_id => 1,
      :stock_count => 1
    )
  end

  it "renders new product_sku form" do
    render
    
    response.should have_tag("form[action=?][method=post]", product_skus_path) do
      with_tag("input#product_sku_product_id[name=?]", "product_sku[product_id]")
      with_tag("input#product_sku_variation_item_1_id[name=?]", "product_sku[variation_item_1_id]")
      with_tag("input#product_sku_variation_item_2_id[name=?]", "product_sku[variation_item_2_id]")
      with_tag("input#product_sku_variation_item_3_id[name=?]", "product_sku[variation_item_3_id]")
      #with_tag("input#product_sku_stock_count[name=?]", "product_sku[stock_count]")
    end
  end
end


