class CmsProjectApproval < ActiveRecord::Base

  belongs_to :cms_project, :foreign_key => "cms_project_id"
  belongs_to :goldberg_user, :class_name => "Goldberg::User", :foreign_key => "goldberg_user_id"

  selectable_attr :result_cd do
    entry '0', :requested, '確認依頼'
    entry '1', :checked, '承認依頼'
    entry '2', :approved, '承認'
    entry '3', :check_passbacked, '差戻し'
    entry '4', :approve_passbacked, '差戻し'
  end
end
