# -*- coding: utf-8 -*-
class CmsPublishedProject < ActiveRecord::Base
  belongs_to :publish, :class_name => "CmsPublish", :foreign_key => 'cms_publish_id'
  belongs_to :cms_project, :class_name => "CmsProject", :foreign_key => 'cms_project_id'

  selectable_attr :calc_type_cd do
    entry '0', :up   , 'up'
    entry '1', :down , 'down'
    entry '2', :keep , 'keep'
  end

end
