class ProductDisplay < ActiveRecord::Base
  versioned

  belongs_to :product

  validates_presence_of :product_name_1, :message => :EM990001

  validates_length_of   :product_outline, :product_explanation, :maximum=>4000, :allow_nil => true
  validates_length_of   :recommendation, :recommendation_2, :maximum=>400, :allow_nil => true
  validates_length_of   :product_keyword, :maximum=>255, :allow_nil => true
end
