# -*- coding: utf-8 -*-
class ProductFaqDisplay < ActiveRecord::Base
  versioned

  belongs_to :product_faq

  validates_presence_of :inquiry_user, :if => :input_display?
  validates_presence_of :inquiry, :if => :input_display?
  validates_presence_of :answer_user, :if => :input_display?
  validates_presence_of :answer, :if => :input_display?

  # すべての項目が未入力かどうかを返す。すべての項目が未入力の場合false
  def input_display?

    if (self.inquiry_user.nil? && self.inquiry.nil? && self.answer_user.nil? && self.answer.nil?) ||
      (self.inquiry_user.blank? && self.inquiry.blank? && self.answer_user.blank? && self.answer.blank?)
      return false
    else
      return true
    end
  end
end
