class AddColumnLockVersion < ActiveRecord::Migration
  def self.up
    add_column :accountings, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :banner_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :banner_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :banners, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :campaign_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :campaign_effects, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :campaign_target_product_skus, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :campaigns, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_bind_contents, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_bind_items, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_binds, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_dead_link_checks, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_dead_link_resources, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_dead_links, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_files, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_layouts, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_page_titles, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_pages, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_project_approvals, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_project_assigns, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_projects, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_published_projects, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_publishes, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_template_contents, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :cms_templates, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :countries, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_pattern_accounting_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_pattern_items, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_pattern_order_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_pattern_product_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_pattern_user_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_download_patterns, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_file_download_histories, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :csv_file_upload_histories, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :distributor_delivery_time_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :distributor_delivery_times, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :distributors, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :goldberg_role_actions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :goldberg_roles, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :goldberg_site_actions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :inquiry_products, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :kbn_code_names, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :order_item_components, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :point_settings, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :prefecture_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :prefectures, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_categories, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_category_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_components, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_faq_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_faq_relation_products, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_faqs, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_group_skus, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_groups, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_images, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_prices, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_sku_inventories, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_sku_secure_inventories, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_skus, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_variation_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_variation_item_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_variation_items, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :product_variations, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :shipping_cost_boundaries, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :shipping_costs, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :shop_settings, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :user_points, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :user_rank_conditions, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :user_rank_displays, :lock_version, :integer,  :default => 0, :comment => ''
    add_column :user_ranks, :lock_version, :integer,  :default => 0, :comment => ''
  end

  def self.down
    remove_column :accountings, :lock_version
    remove_column :banner_conditions, :lock_version
    remove_column :banner_displays, :lock_version
    remove_column :banners, :lock_version
    remove_column :campaign_conditions, :lock_version
    remove_column :campaign_effects, :lock_version
    remove_column :campaign_target_product_skus, :lock_version
    remove_column :campaigns, :lock_version
    remove_column :cms_bind_contents, :lock_version
    remove_column :cms_bind_items, :lock_version
    remove_column :cms_binds, :lock_version
    remove_column :cms_dead_link_checks, :lock_version
    remove_column :cms_dead_link_resources, :lock_version
    remove_column :cms_dead_links, :lock_version
    remove_column :cms_files, :lock_version
    remove_column :cms_layouts, :lock_version
    remove_column :cms_page_titles, :lock_version
    remove_column :cms_pages, :lock_version
    remove_column :cms_project_approvals, :lock_version
    remove_column :cms_project_assigns, :lock_version
    remove_column :cms_projects, :lock_version
    remove_column :cms_published_projects, :lock_version
    remove_column :cms_publishes, :lock_version
    remove_column :cms_template_contents, :lock_version
    remove_column :cms_templates, :lock_version
    remove_column :countries, :lock_version
    remove_column :csv_download_pattern_accounting_conditions, :lock_version
    remove_column :csv_download_pattern_items, :lock_version
    remove_column :csv_download_pattern_order_conditions, :lock_version
    remove_column :csv_download_pattern_product_conditions, :lock_version
    remove_column :csv_download_pattern_user_conditions, :lock_version
    remove_column :csv_download_patterns, :lock_version
    remove_column :csv_file_download_histories, :lock_version
    remove_column :csv_file_upload_histories, :lock_version
    remove_column :distributor_delivery_time_displays, :lock_version
    remove_column :distributor_delivery_times, :lock_version
    remove_column :distributors, :lock_version
    remove_column :goldberg_role_actions, :lock_version
    remove_column :goldberg_roles, :lock_version
    remove_column :goldberg_site_actions, :lock_version
    remove_column :inquiry_products, :lock_version
    remove_column :kbn_code_names, :lock_version
    remove_column :order_item_components, :lock_version
    remove_column :point_settings, :lock_version
    remove_column :prefecture_displays, :lock_version
    remove_column :prefectures, :lock_version
    remove_column :product_categories, :lock_version
    remove_column :product_category_displays, :lock_version
    remove_column :product_components, :lock_version
    remove_column :product_displays, :lock_version
    remove_column :product_faq_displays, :lock_version
    remove_column :product_faq_relation_products, :lock_version
    remove_column :product_faqs, :lock_version
    remove_column :product_group_skus, :lock_version
    remove_column :product_groups, :lock_version
    remove_column :product_images, :lock_version
    remove_column :product_prices, :lock_version
    remove_column :product_sku_inventories, :lock_version
    remove_column :product_sku_secure_inventories, :lock_version
    remove_column :product_skus, :lock_version
    remove_column :product_variation_displays, :lock_version
    remove_column :product_variation_item_displays, :lock_version
    remove_column :product_variation_items, :lock_version
    remove_column :product_variations, :lock_version
    remove_column :shipping_cost_boundaries, :lock_version
    remove_column :shipping_costs, :lock_version
    remove_column :shop_settings, :lock_version
    remove_column :user_points, :lock_version
    remove_column :user_rank_conditions, :lock_version
    remove_column :user_rank_displays, :lock_version
    remove_column :user_ranks, :lock_version
  end
end
