class ChangeColumnUserRank < ActiveRecord::Migration
  def self.up
    # user_rank_conditionsのconnector_cdは今まで使用されていなかったため、移行の必要がないのでそのまま削除します。
    remove_column :user_rank_conditions, :connector_cd
    add_column :user_ranks, :connector_cd, :string, :limit => 2, :comment => "検索演算子"
  end

  def self.down
    remove_column :user_ranks, :connector_cd
    add_column :user_rank_conditions, :connector_cd, :string, :limit => 2, :comment => "検索演算子"
  end
end
