class MigrateTerminalDivForCmsTemplates < ActiveRecord::Migration
  class CmsTemplate < ActiveRecord::Base
  end
  class CmsPage < ActiveRecord::Base
  end

  # 既存のデータでterminalに値が入っていないものがあればすべて0（PC）をセットします
  def self.up
    CmsTemplate.find(:all, :conditions => ["terminal IS NULL OR terminal = ''"]).each do |cms_template|
      cms_template.terminal = '0'
      cms_template.save
    end

    CmsPage.find(:all, :conditions => ["terminal IS NULL OR terminal = ''"]).each do |cms_page|
      cms_page.terminal = '0'
      cms_page.save
    end
  end

  def self.down
  end
end
