class CreateCmsDefaultTemplates < ActiveRecord::Migration
  def self.up
    create_table :cms_default_templates, :comment => "CMSデフォルトテンプレート" do |t|
      t.integer :cms_project_id, :comment => "CMSプロジェクトID"
      t.string :cms_template_code, :limit => 24, :comment => "CMSテンプレートコード"
      t.string :default_template_position, :comment => "デフォルトテンプレート表示位置"
      t.string :terminal, :comment => "端末(0: PC, 1:携帯)"
      t.datetime :created_at, :comment => ""
      t.datetime :updated_at, :comment => ""
      t.datetime :deleted_at, :comment => ""
      t.integer  :lock_version, :default => 0, :comment => ""
    end
  end

  def self.down
    drop_table :cms_default_templates
  end
end
