require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')


describe "/user/new" do
  include UserHelper

  before(:each) do
    assigns[:user] = User.new
    assigns[:user_address] = UserAddress.new
    assigns[:user_email] = UserEmail.new
    assigns[:shipping_addresses] = []
  end

  it "PCおよびモバイルサイト用のEmailアドレスの入力フォームが表示される。" do
    render
    response.should have_tag('input#user_email_email[name=?][size=?][type=?]',
      "user_email[email]", "40", 'text')
    response.should have_tag('input#user_email_mobile_email[name=?][size=?][type=?]',
      "user_email_mobile[email]", "40", 'text')
  end
end


