require 'active_record'


ActiveRecord::Base.establish_connection(
  :adapter => "mysql",
  :host => "localhost",
  :username => "root",
  :password => "root",
  :database => "xec_development"
)

class MsZipCode < ActiveRecord::Base
end


open("#{Dir::getwd}/lib/ms_zip_codes.csv") do |file|
  while line = file.gets
    
    fields = line.split(',')
    zipcode = MsZipCode.new();
    zipcode.zip_code = fields[1].gsub("","")
    zipcode.prefectural = fields[2]
    zipcode.city = fields[3]
    zipcode.town_zone = fields[4]
    
    puts "#{fields[2]}#{fields[3]}#{fields[4]}を登録".to_sjis
    
    zipcode.save!
    
  end
end