# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'
require 'pathname'

describe CmsController do

  fixtures :cms_bind_contents, :cms_bind_items, :cms_binds, :cms_page_titles, :cms_pages,
    :cms_templates, :cms_template_contents, :cms_files, :cms_projects

  #Delete these examples and add some real ones
  it "should use CmsController" do
    controller.should be_an_instance_of(CmsController)
  end

  def change_view_paths(path)
    backup = ActionController::Base.view_paths
    begin
      ActionController::Base.view_paths = path
      yield if block_given?
    ensure
      ActionController::Base.view_paths = backup
    end
  end

#  def change_view_path_with_tempdir
#    config_override_ec_front_root do |temp_dir|
#      EcRider.config.stub!(:ec_front_root).and_return(temp_dir)
#
#      view_path = Pathname.new(File.join(temp_dir, 'app', 'views')).realpath.to_s
#      FileUtils.mkdir_p(view_path, :verbose => true) unless File.exist?(view_path)
#      change_view_paths([view_path]) do
#        ActionController::Base.view_paths.map{|path| Pathname.new(path).realpath.to_s}.should == [view_path]
#        yield(temp_dir) if block_given?
#      end
#    end
#  end
#
#
#  [:ja, :en].each do |lang|
#    it "公開中のページ" do
#      change_view_path_with_tempdir do
#        project = CmsProject.find(2, :include => [{:pages => [{:binds => [{:items => :contents}, :cms_template]}, :titles]}, :files])
#        project.pages.each{|page| page.deploy}
#        CmsProject.update(2, :status_key => :opened)
#        get "show_fashion", :lang => lang.to_s
#        response.should be_success
#        response.should_not redirect_to('/')
#        response.should(render_template("cms/show_fashion"))
#      end
#    end
#  end
#
#  it "編集中のページ" do
#    change_view_path_with_tempdir do
#      cookies["lang"] = 'en'
#      get "show_fashion"
#      response.should redirect_to(EcRider.config.ec_front_url)
#    end
#  end

#  describe "商品検索パラメータが渡ってきた場合" do
#    it "未入力検索" do
#      get 'index', :condition => {:category_code => '',:keyword => '',:condition_div => '0', :per_page => '10'}
#      controller.instance_variable_get(:@search_products).should_not == nil
#    end
#    it "カテゴリ検索(検索フォームからの場合)" do
#      change_view_path_with_tempdir do
#      get 'index', :condition => {:category_code => 'code13',:keyword => '',:condition_div => '0', :per_page => '10'}
#      controller.instance_variable_get(:@search_products).size.should == 3
#      end
#    end
#    it "カテゴリ検索(リンクタグからの場合)" do
#      change_view_path_with_tempdir do
#      get 'index', :category_code => 'code13'
#      controller.instance_variable_get(:@search_products).size.should == 3
#      end
#    end
#    it "キーワード検索" do
#      change_view_path_with_tempdir do
#      get 'index', :condition => {:category_code => '',:keyword => 'keytest',:condition_div => '0', :per_page => '10'}
#      controller.instance_variable_get(:@search_products).size.should == 1
#      controller.instance_variable_get(:@search_products)[0].id.should == 100052
#      end
#    end
#    it "条件検索" do
#      change_view_path_with_tempdir do
#      get 'index', :condition => {:category_code => 'code14',:keyword => 'keytest',:condition_div => '1', :per_page => '10'}
#      results = controller.instance_variable_get(:@search_products)
#      results.size.should == 5
#      get 'index', :condition => {:category_code => 'code14',:keyword => 'keytest',:condition_div => '0', :per_page => '10'}
#      controller.instance_variable_get(:@search_products).size.should == 0
#      end
#    end
#    it "表示レコード数検索" do
#      change_view_path_with_tempdir do
#        get 'index', :condition => {:category_code => '',:keyword => '',:condition_div => '0', :per_page => '13'}
#        controller.instance_variable_get(:@search_products).size.should == 13
#      end
#    end
#    it "次ページ検索" do
#      change_view_path_with_tempdir do
#        get 'index', :condition => {:category_code => '',:keyword => '',:condition_div => '0', :per_page => '13'}, :page => '2'
#        controller.instance_variable_get(:@search_products).size.should == 13
#        controller.instance_variable_get(:@search_products).previous_page.should == 1
#      end
#    end
#  end

end
