require File.join(File.dirname(__FILE__), '..', 'spec_helper')

describe LocaleController do
  
  describe "POST update" do
    it "update cookie lang" do
      post :update, :id => "AAA"
      cookies["lang"].should == "AAA"
    end
  end
  
  describe "POST destroy" do
    it "destroy cookie lang" do
      cookies["lang"] = "AAA"
      post :destroy
      cookies["lang"].should == nil
    end
  end
end
