# -*- coding: utf-8 -*-
require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe SitemapController do
  fixtures :cms_projects, :cms_pages
  
  #Delete these examples and add some real ones
  it "should use SitemapController" do
    controller.should be_an_instance_of(SitemapController)
  end
  
  describe "GET 'index'" do
    it "should be successful" do
      get 'index'
      response.should render_template('sitemap/index.rxml')
      response.should be_success

      assigns[:sitemap_pages].should_not be_empty
    end
  end
end
