require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe CmsProjectApproval do
  fixtures :cms_project_approvals, :cms_projects, :cms_project_assigns

  before(:each) do
    pending unless EcRider.config.ec_admin
  end
  
  describe 'belongs_to :goldberg_user' do 
    it '紐付くメンバーを合わせて取得' do
      approval = CmsProjectApproval.find(1, :include => {:goldberg_user => :cms_project_assigns},
        :conditions => ["cms_project_assigns.cms_project_id = cms_project_approvals.cms_project_id"])
      approval.goldberg_user_id.should == 3
      approval.goldberg_user.cms_project_assigns.first.goldberg_user_id.should == 3
      approval.goldberg_user.cms_project_assigns.first.role_key.should == :editor
    end
  end
end
