# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe EcRider::I18nSupport do
  class I18nSupportMock
    include EcRider::I18nSupport
  end
  
  describe "i18n_message " do
    it "should return message from i18n" do
      mock = I18nSupportMock.new
      lambda{ mock.i18n_message(:EM070003) }.should raise_error(NoMethodError)
      mock.send(:i18n_message, :EM070003).should == "すでに削除された問合せメモの削除依頼です。"
    end
  end
end
