# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

describe ProductFaqDisplay do
  describe "input_display?" do
    it "すべての項目が空白の場合 期待値：ture" do
      pfd = ProductFaqDisplay.new()
      pfd.inquiry_user = ""
      pfd.inquiry = ""
      pfd.answer_user = ""
      pfd.answer = ""
      pfd.input_display?.should == false
    end
    it "すべての項目がnilの場合 期待値：ture" do
      pfd = ProductFaqDisplay.new()
      pfd.inquiry_user = nil
      pfd.inquiry = nil
      pfd.answer_user = nil
      pfd.answer = nil
      pfd.input_display?.should == false
    end
    it "すべての項目が空白ではない場合 期待値：false" do
      pfd = ProductFaqDisplay.new()
      pfd.inquiry_user = "aa"
      pfd.inquiry = ""
      pfd.answer_user = ""
      pfd.answer = ""
      pfd.input_display?.should == true
    end
  end
end
